# Interface TransitionHookFn

The signature for Transition Hooks.

Transition hooks are callback functions that hook into the lifecycle of transitions. As a transition runs, it reaches certain lifecycle events. As each event occurs, the hooks which are registered for the event are called (in priority order).

A transition hook may alter a Transition by returning a [[HookResult]].

#### See:

- [[IHookRegistry.onBefore]]
- [[IHookRegistry.onStart]]
- [[IHookRegistry.onFinish]]
- [[IHookRegistry.onSuccess]]
- [[IHookRegistry.onError]]

- TransitionHookFn(transition: Transition): HookResult

  #### Parameters

  - transition: Transition

    the current [[Transition]]

  #### Returns HookResult

  a [[HookResult]] which may alter the transition

  - Defined in src/router/transition/interface.ts:209